Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.icore.plan
Class ProcessParameter

    java.lang.Object
      ix.icore.plan.ProcessParameter

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  Input, Output

    public abstract class ProcessParameter

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary
`protected Activity` | `activity`
`protected Symbol` | `name`
`protected Symbol` | `type`
`protected Symbol` | `value`

Constructor Summary
`ProcessParameter()`
`ProcessParameter(Symbol name, Symbol type, Symbol value)`

Method Summary
`abstract ProcessParameter` | `attachTo(Activity act)` Returns a copy of this ProcessParameter with the activity field filled-in.
`Activity` | `getActivity()`
`Symbol` | `getName()`
`Symbol` | `getType()`
`Symbol` | `getValue()`
`boolean` | `isInput()`
`boolean` | `isOutput()`
`void` | `setName(Symbol name)`
`void` | `setType(Symbol type)`
`void` | `setValue(Symbol value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    protected Symbol name

### type

    protected Symbol type

### value

    protected Symbol value

### activity

    protected Activity activity

Constructor Detail

### ProcessParameter

    public ProcessParameter()

### ProcessParameter

    public ProcessParameter(Symbol name,
                            Symbol type,
                            Symbol value)

Method Detail

### isInput

    public boolean isInput()

### isOutput

    public boolean isOutput()

### getName

    public Symbol getName()

### setName

    public void setName(Symbol name)

### getType

    public Symbol getType()

### setType

    public void setType(Symbol type)

### getValue

    public Symbol getValue()

### setValue

    public void setValue(Symbol value)

### getActivity

    public Activity getActivity()

### attachTo

    public abstract ProcessParameter attachTo(Activity act)

  Returns a copy of this ProcessParameter with the activity field filled-in.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD